"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.makeImports = void 0;
var typescript_1 = __importDefault(require("typescript"));
function makeImportAxiosInstanceTypeDeclaration() {
    return typescript_1["default"].factory.createImportDeclaration(
    /*decorators*/ undefined, 
    /*modifiers*/ undefined, 
    /*importClause*/ typescript_1["default"].factory.createImportClause(
    /*isTypeOnly*/ true, 
    /*name*/ undefined, 
    /*namedBindings*/ typescript_1["default"].factory.createNamedImports([
        typescript_1["default"].factory.createImportSpecifier(
        /*isTypeOnly*/ false, 
        /*propertyName*/ undefined, 
        /*name*/ typescript_1["default"].factory.createIdentifier("AxiosInstance")),
        typescript_1["default"].factory.createImportSpecifier(
        /*isTypeOnly*/ false, 
        /*propertyName*/ undefined, 
        /*name*/ typescript_1["default"].factory.createIdentifier("AxiosRequestConfig")),
    ])), 
    /*moduleSpecifier*/ typescript_1["default"].factory.createStringLiteral("axios"), 
    /*assertClause*/ undefined);
}
function makeImportSWRDeclaration() {
    return typescript_1["default"].factory.createImportDeclaration(
    /*decorators*/ undefined, 
    /*modifiers*/ undefined, 
    /*importClause*/ typescript_1["default"].factory.createImportClause(
    /*typeOnly*/ false, 
    /*name*/ typescript_1["default"].factory.createIdentifier("useSWR"), 
    /*namedBindings*/ typescript_1["default"].factory.createNamedImports([
        typescript_1["default"].factory.createImportSpecifier(
        /*typeOnly*/ true, 
        /*propertyName*/ undefined, 
        /*name*/ typescript_1["default"].factory.createIdentifier("SWRConfiguration")),
        typescript_1["default"].factory.createImportSpecifier(
        /*typeOnly*/ true, 
        /*propertyName*/ undefined, 
        /*name*/ typescript_1["default"].factory.createIdentifier("SWRResponse")),
    ])), 
    /*moduleSpecifier*/ typescript_1["default"].factory.createStringLiteral("swr"), 
    /*assertClause*/ undefined);
}
function makeImports() {
    return [makeImportAxiosInstanceTypeDeclaration(), makeImportSWRDeclaration()];
}
exports.makeImports = makeImports;
