"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.makeConfigTypes = void 0;
var typescript_1 = __importDefault(require("typescript"));
function makeConfigTypes() {
    return [
        typescript_1["default"].factory.createTypeAliasDeclaration(
        /*decorators*/ undefined, 
        /*modifiers*/ [typescript_1["default"].factory.createModifier(typescript_1["default"].SyntaxKind.ExportKeyword)], 
        /*name*/ typescript_1["default"].factory.createIdentifier("AxiosConfig"), 
        /*typeParameters*/ undefined, 
        /*type*/ typescript_1["default"].factory.createTypeLiteralNode([
            typescript_1["default"].factory.createPropertySignature(
            /*modifiers*/ undefined, 
            /*name*/ typescript_1["default"].factory.createIdentifier("paramsSerializer"), 
            /*questionToken*/ typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionToken), 
            /*type*/ typescript_1["default"].factory.createIndexedAccessTypeNode(
            /*objectType*/ typescript_1["default"].factory.createTypeReferenceNode(
            /*typeName*/ typescript_1["default"].factory.createIdentifier("AxiosRequestConfig"), 
            /*typeArguments*/ undefined), 
            /*indexType*/ typescript_1["default"].factory.createLiteralTypeNode(
            /*literal*/ typescript_1["default"].factory.createStringLiteral("paramsSerializer")))),
        ])),
        typescript_1["default"].factory.createTypeAliasDeclaration(
        /*decorators*/ undefined, 
        /*modifiers*/ [typescript_1["default"].factory.createModifier(typescript_1["default"].SyntaxKind.ExportKeyword)], 
        /*name*/ typescript_1["default"].factory.createIdentifier("Config"), 
        /*typeParameters*/ undefined, 
        /*type*/ typescript_1["default"].factory.createTypeLiteralNode([
            typescript_1["default"].factory.createPropertySignature(
            /*modifiers*/ undefined, 
            /*name*/ typescript_1["default"].factory.createIdentifier("mutations"), 
            /*questionToken*/ typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionToken), 
            /*type*/ typescript_1["default"].factory.createTypeReferenceNode(
            /*typeName*/ typescript_1["default"].factory.createIdentifier("MutationConfigs"), 
            /*typeArguments*/ undefined)),
            typescript_1["default"].factory.createPropertySignature(
            /*modifiers*/ undefined, 
            /*name*/ typescript_1["default"].factory.createIdentifier("axios"), 
            /*questionToken*/ typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionToken), 
            /*type*/ typescript_1["default"].factory.createTypeReferenceNode(
            /*typeName*/ typescript_1["default"].factory.createIdentifier("AxiosConfig"), 
            /*typeArguments*/ undefined)),
        ])),
    ];
}
exports.makeConfigTypes = makeConfigTypes;
