"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.makeRapiniMutation = exports.RAPINI_MUTATION_ID = void 0;
var typescript_1 = __importDefault(require("typescript"));
exports.RAPINI_MUTATION_ID = "useRapiniMutation";
function makeRapiniMutation() {
    return typescript_1["default"].factory.createFunctionDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier(exports.RAPINI_MUTATION_ID), [
        typescript_1["default"].factory.createTypeParameterDeclaration(undefined, typescript_1["default"].factory.createIdentifier("TData"), undefined, typescript_1["default"].factory.createKeywordTypeNode(typescript_1["default"].SyntaxKind.UnknownKeyword)),
        typescript_1["default"].factory.createTypeParameterDeclaration(undefined, typescript_1["default"].factory.createIdentifier("TError"), undefined, typescript_1["default"].factory.createKeywordTypeNode(typescript_1["default"].SyntaxKind.UnknownKeyword)),
        typescript_1["default"].factory.createTypeParameterDeclaration(undefined, typescript_1["default"].factory.createIdentifier("TVariables"), undefined, typescript_1["default"].factory.createKeywordTypeNode(typescript_1["default"].SyntaxKind.VoidKeyword)),
        typescript_1["default"].factory.createTypeParameterDeclaration(undefined, typescript_1["default"].factory.createIdentifier("TContext"), undefined, typescript_1["default"].factory.createKeywordTypeNode(typescript_1["default"].SyntaxKind.UnknownKeyword)),
    ], [
        typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("mutationFn"), undefined, typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("MutationFunction"), [
            typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TData"), undefined),
            typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TVariables"), undefined),
        ]), undefined),
        typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("config"), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionToken), typescript_1["default"].factory.createFunctionTypeNode(undefined, [
            typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("queryClient"), undefined, typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("QueryClient"), undefined), undefined),
        ], typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("Pick"), [
            typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("UseMutationOptions"), [
                typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TData"), undefined),
                typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TError"), undefined),
                typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TVariables"), undefined),
                typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TContext"), undefined),
            ]),
            typescript_1["default"].factory.createUnionTypeNode([
                typescript_1["default"].factory.createLiteralTypeNode(typescript_1["default"].factory.createStringLiteral("onSuccess")),
                typescript_1["default"].factory.createLiteralTypeNode(typescript_1["default"].factory.createStringLiteral("onSettled")),
                typescript_1["default"].factory.createLiteralTypeNode(typescript_1["default"].factory.createStringLiteral("onError")),
            ]),
        ])), undefined),
        typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("options"), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionToken), typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("Omit"), [
            typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("UseMutationOptions"), [
                typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TData"), undefined),
                typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TError"), undefined),
                typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TVariables"), undefined),
                typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TContext"), undefined),
            ]),
            typescript_1["default"].factory.createLiteralTypeNode(typescript_1["default"].factory.createStringLiteral("mutationFn")),
        ]), undefined),
    ], typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("UseMutationResult"), [
        typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TData"), undefined),
        typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TError"), undefined),
        typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TVariables"), undefined),
        typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TContext"), undefined),
    ]), typescript_1["default"].factory.createBlock([
        typescript_1["default"].factory.createVariableStatement(undefined, typescript_1["default"].factory.createVariableDeclarationList([
            typescript_1["default"].factory.createVariableDeclaration(typescript_1["default"].factory.createObjectBindingPattern([
                typescript_1["default"].factory.createBindingElement(undefined, undefined, typescript_1["default"].factory.createIdentifier("onSuccess"), undefined),
                typescript_1["default"].factory.createBindingElement(undefined, undefined, typescript_1["default"].factory.createIdentifier("onError"), undefined),
                typescript_1["default"].factory.createBindingElement(undefined, undefined, typescript_1["default"].factory.createIdentifier("onSettled"), undefined),
                typescript_1["default"].factory.createBindingElement(typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.DotDotDotToken), undefined, typescript_1["default"].factory.createIdentifier("rest"), undefined),
            ]), undefined, undefined, typescript_1["default"].factory.createBinaryExpression(typescript_1["default"].factory.createIdentifier("options"), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionQuestionToken), typescript_1["default"].factory.createObjectLiteralExpression([], false))),
        ], typescript_1["default"].NodeFlags.Const)),
        typescript_1["default"].factory.createVariableStatement(undefined, typescript_1["default"].factory.createVariableDeclarationList([
            typescript_1["default"].factory.createVariableDeclaration(typescript_1["default"].factory.createIdentifier("queryClient"), undefined, undefined, typescript_1["default"].factory.createCallExpression(typescript_1["default"].factory.createIdentifier("useQueryClient"), undefined, [])),
        ], typescript_1["default"].NodeFlags.Const)),
        typescript_1["default"].factory.createVariableStatement(undefined, typescript_1["default"].factory.createVariableDeclarationList([
            typescript_1["default"].factory.createVariableDeclaration(typescript_1["default"].factory.createIdentifier("conf"), undefined, undefined, typescript_1["default"].factory.createCallChain(typescript_1["default"].factory.createIdentifier("config"), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionDotToken), undefined, [typescript_1["default"].factory.createIdentifier("queryClient")])),
        ], typescript_1["default"].NodeFlags.Const)),
        typescript_1["default"].factory.createVariableStatement(undefined, typescript_1["default"].factory.createVariableDeclarationList([
            typescript_1["default"].factory.createVariableDeclaration(typescript_1["default"].factory.createIdentifier("mutationOptions"), undefined, typescript_1["default"].factory.createTypeQueryNode(typescript_1["default"].factory.createIdentifier("options"), undefined), typescript_1["default"].factory.createObjectLiteralExpression([
                typescript_1["default"].factory.createPropertyAssignment(typescript_1["default"].factory.createIdentifier("onSuccess"), typescript_1["default"].factory.createArrowFunction(undefined, undefined, [
                    typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("data"), undefined, typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TData"), undefined), undefined),
                    typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("variables"), undefined, typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TVariables"), undefined), undefined),
                    typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("context"), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionToken), typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TContext"), undefined), undefined),
                ], undefined, typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.EqualsGreaterThanToken), typescript_1["default"].factory.createBlock([
                    typescript_1["default"].factory.createExpressionStatement(typescript_1["default"].factory.createCallChain(typescript_1["default"].factory.createPropertyAccessChain(typescript_1["default"].factory.createIdentifier("conf"), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionDotToken), typescript_1["default"].factory.createIdentifier("onSuccess")), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionDotToken), undefined, [
                        typescript_1["default"].factory.createIdentifier("data"),
                        typescript_1["default"].factory.createIdentifier("variables"),
                        typescript_1["default"].factory.createIdentifier("context"),
                    ])),
                    typescript_1["default"].factory.createExpressionStatement(typescript_1["default"].factory.createCallChain(typescript_1["default"].factory.createIdentifier("onSuccess"), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionDotToken), undefined, [
                        typescript_1["default"].factory.createIdentifier("data"),
                        typescript_1["default"].factory.createIdentifier("variables"),
                        typescript_1["default"].factory.createIdentifier("context"),
                    ])),
                ], true))),
                typescript_1["default"].factory.createPropertyAssignment(typescript_1["default"].factory.createIdentifier("onError"), typescript_1["default"].factory.createArrowFunction(undefined, undefined, [
                    typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("error"), undefined, typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TError"), undefined), undefined),
                    typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("variables"), undefined, typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TVariables"), undefined), undefined),
                    typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("context"), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionToken), typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TContext"), undefined), undefined),
                ], undefined, typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.EqualsGreaterThanToken), typescript_1["default"].factory.createBlock([
                    typescript_1["default"].factory.createExpressionStatement(typescript_1["default"].factory.createCallChain(typescript_1["default"].factory.createPropertyAccessChain(typescript_1["default"].factory.createIdentifier("conf"), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionDotToken), typescript_1["default"].factory.createIdentifier("onError")), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionDotToken), undefined, [
                        typescript_1["default"].factory.createIdentifier("error"),
                        typescript_1["default"].factory.createIdentifier("variables"),
                        typescript_1["default"].factory.createIdentifier("context"),
                    ])),
                    typescript_1["default"].factory.createExpressionStatement(typescript_1["default"].factory.createCallChain(typescript_1["default"].factory.createIdentifier("onError"), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionDotToken), undefined, [
                        typescript_1["default"].factory.createIdentifier("error"),
                        typescript_1["default"].factory.createIdentifier("variables"),
                        typescript_1["default"].factory.createIdentifier("context"),
                    ])),
                ], true))),
                typescript_1["default"].factory.createPropertyAssignment(typescript_1["default"].factory.createIdentifier("onSettled"), typescript_1["default"].factory.createArrowFunction(undefined, undefined, [
                    typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("data"), undefined, typescript_1["default"].factory.createUnionTypeNode([
                        typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TData"), undefined),
                        typescript_1["default"].factory.createKeywordTypeNode(typescript_1["default"].SyntaxKind.UndefinedKeyword),
                    ]), undefined),
                    typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("error"), undefined, typescript_1["default"].factory.createUnionTypeNode([
                        typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TError"), undefined),
                        typescript_1["default"].factory.createLiteralTypeNode(typescript_1["default"].factory.createNull()),
                    ]), undefined),
                    typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("variables"), undefined, typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TVariables"), undefined), undefined),
                    typescript_1["default"].factory.createParameterDeclaration(undefined, undefined, undefined, typescript_1["default"].factory.createIdentifier("context"), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionToken), typescript_1["default"].factory.createTypeReferenceNode(typescript_1["default"].factory.createIdentifier("TContext"), undefined), undefined),
                ], undefined, typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.EqualsGreaterThanToken), typescript_1["default"].factory.createBlock([
                    typescript_1["default"].factory.createExpressionStatement(typescript_1["default"].factory.createCallChain(typescript_1["default"].factory.createPropertyAccessChain(typescript_1["default"].factory.createIdentifier("conf"), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionDotToken), typescript_1["default"].factory.createIdentifier("onSettled")), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionDotToken), undefined, [
                        typescript_1["default"].factory.createIdentifier("data"),
                        typescript_1["default"].factory.createIdentifier("error"),
                        typescript_1["default"].factory.createIdentifier("variables"),
                        typescript_1["default"].factory.createIdentifier("context"),
                    ])),
                    typescript_1["default"].factory.createExpressionStatement(typescript_1["default"].factory.createCallChain(typescript_1["default"].factory.createIdentifier("onSettled"), typescript_1["default"].factory.createToken(typescript_1["default"].SyntaxKind.QuestionDotToken), undefined, [
                        typescript_1["default"].factory.createIdentifier("data"),
                        typescript_1["default"].factory.createIdentifier("error"),
                        typescript_1["default"].factory.createIdentifier("variables"),
                        typescript_1["default"].factory.createIdentifier("context"),
                    ])),
                ], true))),
                typescript_1["default"].factory.createSpreadAssignment(typescript_1["default"].factory.createIdentifier("rest")),
            ], true)),
        ], typescript_1["default"].NodeFlags.Const)),
        typescript_1["default"].factory.createReturnStatement(typescript_1["default"].factory.createCallExpression(typescript_1["default"].factory.createIdentifier("useMutation"), undefined, [
            typescript_1["default"].factory.createIdentifier("mutationFn"),
            typescript_1["default"].factory.createIdentifier("mutationOptions"),
        ])),
    ], true));
}
exports.makeRapiniMutation = makeRapiniMutation;
